---
{{ template "common.Deployment" (list . "prometheus-operator.Deployment") }}

{{- define "prometheus-operator.Deployment" }}
spec:
  template:
    spec:
      containers:
        - {{- include "common.Deployment.container" (list . "prometheus-operator.Deployment.container") | nindent 10 }}
{{- end }}

{{- define "prometheus-operator.Deployment.container" }}
name: prometheus-operator
args:
  - --config-reloader-cpu-limit=0
ports:
  - name: http
    protocol: TCP
    containerPort: 8080
livenessProbe:
  httpGet:
    scheme: HTTP
    path: /healthz
    port: http
  initialDelaySeconds: 10
  periodSeconds: 10
  timeoutSeconds: 1
  successThreshold: 1
  failureThreshold: 3
readinessProbe:
  httpGet:
    scheme: HTTP
    path: /healthz
    port: http
  initialDelaySeconds: 10
  periodSeconds: 10
  timeoutSeconds: 1
  successThreshold: 1
  failureThreshold: 3
{{- end }}
